singleton Material("sbr.skin.vmnomi")
{
    mapTo = "sbr.skin.vmnomi";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_nomi.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/vmsbr/sbr_d_nomi.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr_widebody.skin.vmnomi")
{
    mapTo = "sbr_widebody.skin.vmnomi";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_nomi.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_widebody_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_widebody_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr.skin.vmpolice")
{
    mapTo = "sbr.skin.vmpolice";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmpolice.dds";
    diffuseMap[2] = "vehicles/sbr/vmsbr/sbr_cvm.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/vmsbr/sbr_dvm.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr_widebody.skin.vmpolice")
{
    mapTo = "sbr_widebody.skin.vmpolice";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmpolice.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_widebody_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_widebody_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(sbr_lettering_vmdiesel)
{
    mapTo = "sbr_lettering_vmdiesel";
    specularMap[0] = "vehicles/sbr/vmsbr/sbr_lettering_svmd.dds";
    normalMap[0] = "vehicles/sbr/vmsbr/sbr_lettering_nvmd.dds";
    diffuseMap[0] = "vehicles/sbr/vmsbr/sbr_lettering_dvmd.dds";
    reflectivityMap[0] = "vehicles/sbr/vmsbr/sbr_lettering_svmd.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material("sbr.skin.vmemoji")
{
    mapTo = "sbr.skin.vmemoji";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmemoji.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/vmsbr/sbr_d_nomi.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr_widebody.skin.vmemoji")
{
    mapTo = "sbr_widebody.skin.vmemoji";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmemoji.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_widebody_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_widebody_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr.skin.vmrally")
{
    mapTo = "sbr.skin.vmrally";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmrally.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/vmsbr/sbr_d_nomi.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr_widebody.skin.vmrally")
{
    mapTo = "sbr_widebody.skin.vmrally";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmrally.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_widebody_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_widebody_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr.skin.vmrace1_fix")
{
    mapTo = "sbr.skin.vmrace1_fix";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmrace1.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/vmsbr/sbr_d_nomi.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr_widebody.skin.vmrace1_fix")
{
    mapTo = "sbr_widebody.skin.vmrace1_fix";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmrace1.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_widebody_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_widebody_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr.skin.vmhc")
{
    mapTo = "sbr.skin.vmhc";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmhc.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[1] = "vehicles/sbr/vmsbr/sbr_d_nomi.dds";
    specularMap[1] = "vehicles/sbr/sbr_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true; //cubemap = "BNG_Sky_02_cubemap";
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("sbr_widebody.skin.vmhc")
{
    mapTo = "sbr_widebody.skin.vmhc";
    overlayMap[2] = "vehicles/sbr/vmsbr/sbr_skin_vmhc.dds";
    diffuseMap[2] = "vehicles/sbr/sbr_widebody_c.dds";
    specularMap[2] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[2] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[1] = "vehicles/sbr/sbr_widebody_d.dds";
    specularMap[1] = "vehicles/sbr/sbr_widebody_s.dds";
    normalMap[1] = "vehicles/sbr/sbr_widebody_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/sbr/sbr_widebody_n.dds";
    specular[0] = "0.5 0.5 0.5 0.1";
    specular[1] = "0.5 0.5 0.5 0.1";
    specular[2] = "0.5 0.5 0.5 0.1";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    beamngDiffuseColorSlot = 2;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};